<template>
  <apex-chart
    type="line"
    height="350"
    :options="chartOptions"
    :series="series"
  ></apex-chart>
</template>

<script>
export default {
  props: {
    population: {
      type: Array,
      required: true,
    },
  },
  data() {
    return {
      series: [
        {
          name: 'Population',
          data: this.population || [],
        },
      ],
      chartOptions: {
        chart: {
          animations: {
            enabled: false,
          },
          background: '#FCFCFC',
          height: 350,
          type: 'line',
          zoom: {
            enabled: false,
          },
          dropShadow: {
            enabled: true,
            color: '#000000',
            top: 8,
            left: 7,
            blur: 5,
            opacity: 0.1,
          },
          toolbar: {
            show: false,
          },
        },
        dataLabels: {
          enabled: false,
        },
        stroke: {
          curve: 'smooth',
          colors: ['#1E5BF6'],
        },
        grid: {
          borderColor: '#F3F3F3',
          xaxis: {
            lines: {
              show: true,
            },
          },
          yaxis: {
            lines: {
              show: false,
            },
          },
        },
        yaxis: {
          title: {
            text: 'Population',
          },
        },
        xaxis: {
          title: {
            text: 'Time',
          },
        },
      },
    }
  },
}
</script>
